From 6c5ce84f0ca9d0d6a14130455b4a646098b4ff92 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 07 2020 03:10:25 +0000
Subject: [PATCH 850/2232] Remove duplicated attr macro


This is already present in src/macros/concat.rs.

---

diff --git a/src/symbols/rust_vec.rs b/src/symbols/rust_vec.rs
index 5081ec3..163f7a9 100644
--- a/src/symbols/rust_vec.rs
+++ b/src/symbols/rust_vec.rs
@@ -7,13 +7,6 @@ pub(crate) struct RustVec<T> {
     repr: Vec<T>,
 }
 
-macro_rules! attr {
-    (#[$name:ident = $value:expr] $($rest:tt)*) => {
-        #[$name = $value]
-        $($rest)*
-    };
-}
-
 macro_rules! rust_vec_shims {
     ($segment:expr, $ty:ty) => {
         const_assert_eq!(mem::size_of::<[usize; 3]>(), mem::size_of::<Vec<$ty>>());

